Bug 218209 - PAE too restrictive for Xen
PAE too restrictive for Xen
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-12-03 07:24 EST by Rolf Fokkens
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-04 10:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for kernel src.rpm to build a non-PAE kernel with xen. (2.25 KB, patch)
2006-12-24 07:26 EST, Rolf Fokkens
no flags Details | Diff

  None (edit)
Description Rolf Fokkens 2006-12-03 07:24:09 EST
Description of problem:

Unable to run non-linux guests paravirtualized

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Download Opensolaris or OpenBSD guest image
2. Do "xm create ..." and watch /var/log/xen/xend-debug.log
3. Be disappointed by the fact that you can only run paravirtualized Linux
Actual results:

Non Linux guest will probably never run virtualized

Expected results:

The full functionality of paravirtualization

Additional info:
Comment 1 Stephen Tweedie 2006-12-04 10:03:27 EST
And non-PAE won't support larger memory configurations.  We're stuck between a
rock and a hard place here.  PAE is the current choice and this will not change.

You can easily build a non-pae version from source if you wish.
Comment 2 Rolf Fokkens 2006-12-24 07:26:46 EST
Created attachment 144342 [details]
Patch for kernel src.rpm to build a non-PAE kernel with xen.
Comment 3 Rolf Fokkens 2006-12-24 07:30:20 EST
The submitted patch helps to build a non-PAE kernel from source. As said: It's
easy, but it takes a while to do it right as building kernels takes a long time
on my system. So for convenience of the interrested... the patch.

Note You need to log in before you can comment on or make changes to this bug.